Update your package.json to latest version
JavaScript
Switch branches/tags
Nothing to show
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
.idea
bin
lib
test
.editorconfig
.eslintrc.js
.gitignore
.travis.yml
README-Chinese.md
README.md
index.js
package-lock.json
package.json
yarn.lock

README.md

frege

Reverse package.json file to npm install or yarn add script.

NPM

Build Status Build status npm version Dependency Status devDependency Status Coverage Status Inline docs

Install

npm install frege -g

or

yarn global add frege

Usage

Parameter instruction

frege [options]

Basic configuration:
  -f, --file String     package.json file to be reversed - default: package.json
  -l, --latest          Install latest version of the npm package - default: false
  -p, --productionOnly  Only generate packages under dependencies - default: false
  -d, --devOnly         Generate install command form packages under devDenpendencies only - default: false
  -y, --yarnInstall     Generate yarn installation script instead of npm - default: false
  -u, --update					Update all dependencies to latest version, package.json updated at the same time. Should be used with -l option 
  -h, --help            Show help
  -v, --version         Output the version number

Examples

frege

frege

Run frege without any parameter will try to parse package.json file in the current directory. Output contains both dependencies and devDependencis(if have), like:

npm i -S debug@">=2.6.8 <3.0.0" optionator@">=0.8.2 <0.9.0" semver@">=5.3.0 <6.0.0"
npm i -D ava@">=0.19.1 <0.20.0" chai@">=4.0.1 <5.0.0" eslint@">=3.19.0 <4.0.0" tap-nyan@">=1.1.0 <2.0.0"

frege -p

is the shorthand of

frege --productionOnly

Only generate installation scripts for dependencis.

npm i -S debug@">=2.6.8 <3.0.0" optionator@">=0.8.2 <0.9.0" semver@">=5.3.0 <6.0.0"

frege -p -y

is the shorthand of

frege --productionOnly --yarnInstall

Only generate installation scripts for dependencis use yarn.

yarn add debug@">=2.6.8 <3.0.0" optionator@">=0.8.2 <0.9.0" semver@">=5.3.0 <6.0.0"

frege -d

is the shorthand of

frege --devOnly

Only generate installation scripts for devDependencis.

npm i -D ava@">=0.19.1 <0.20.0" chai@">=4.0.1 <5.0.0" eslint@">=3.19.0 <4.0.0" tap-nyan@">=1.1.0 <2.0.0"

frege -l

is the shorthand of

frege --latest

Inspite of version specified in packages.json, will generate scripts to install the latest version of each package.

npm i -S debug@latest optionator@latest semver@latest
npm i -D ava@latest chai@latest eslint@latest tap-nyan@latest

frege -l -u

is the shorthand of

frege --latest --update

Generate the latest version of installation script, then run that to update package.json file and dependencies.

npm i -S debug@latest optionator@latest semver@latest
npm i -D ava@latest chai@latest eslint@latest tap-nyan@latest

frege -f ../augustine/package.json

Specify the full path of package.json

Enjoy it!

or feedback!

by fanshenggang tom@tfan.org